## org.apache.http.client.utils
Class CloneUtils

    java.lang.Object
      org.apache.http.client.utils.CloneUtils

    @Immutable
    public class CloneUtils

extends Object

A collection of utilities to workaround limitations of Java clone framework.

Since:
  4.0

Method Summary
`static Object` `clone(Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public static Object clone(Object obj)
                        throws CloneNotSupportedException

  Throws:
    `CloneNotSupportedException`

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.